package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.WorkerLevelLog;

/**
 * 师傅等级每月记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface WorkerLevelLogMapper 
{
    /**
     * 查询师傅等级每月记录
     * 
     * @param id 师傅等级每月记录主键
     * @return 师傅等级每月记录
     */
    public WorkerLevelLog selectWorkerLevelLogById(Integer id);

    /**
     * 查询师傅等级每月记录列表
     * 
     * @param workerLevelLog 师傅等级每月记录
     * @return 师傅等级每月记录集合
     */
    public List<WorkerLevelLog> selectWorkerLevelLogList(WorkerLevelLog workerLevelLog);

    /**
     * 新增师傅等级每月记录
     * 
     * @param workerLevelLog 师傅等级每月记录
     * @return 结果
     */
    public int insertWorkerLevelLog(WorkerLevelLog workerLevelLog);

    /**
     * 修改师傅等级每月记录
     * 
     * @param workerLevelLog 师傅等级每月记录
     * @return 结果
     */
    public int updateWorkerLevelLog(WorkerLevelLog workerLevelLog);

    /**
     * 删除师傅等级每月记录
     * 
     * @param id 师傅等级每月记录主键
     * @return 结果
     */
    public int deleteWorkerLevelLogById(Integer id);

    /**
     * 批量删除师傅等级每月记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkerLevelLogByIds(Integer[] ids);
}
